Package Details: gpg-tools-git 1-1

Git Clone URL: https://aur.archlinux.org/gpg-tools-git.git (read-only, click to copy)
Package Base: gpg-tools-git
Description: Wrapper for gpg-agent integration
Upstream URL: http://github.com/vodik/gpg-tools
Licenses: GPL
Conflicts: gpg-tools
Provides: gpg-tools
Submitter: vodik
Maintainer: vodik
Last Packager: vodik
Votes: 0
Popularity: 0.000000
First Submitted: 2015-11-08 19:58 (UTC)
Last Updated: 2015-11-08 19:58 (UTC)

Dependencies (3)

Required by (0)

Sources (1)

Latest Comments

dreieck commented on 2018-06-16 13:11 (UTC)

pkgver() fails:

==> Starting pkgver()...
fatal: No names found, cannot describe anything.
==> ERROR: pkgver is not allowed to be empty.
==> ERROR: pkgver() generated an invalid version: 
==> ERROR: Makepkg was unable to build gpg-tools-git.

Here is a patch to the PKGBUILD, correcting the pkgver():

--- PKGBUILD.orig       2018-06-16 14:54:15.097227230 +0200
+++ PKGBUILD    2018-06-16 15:10:25.196099325 +0200
@@ -17,4 +17,22 @@
 pkgver() {
-  cd "gpg-tools"
-  git describe | sed 's/^v//;s/-/./g'
+  cd "${srcdir}/gpg-tools"
+  
+  if [ -d .git ]; then
+    _ver="$(git describe 2>/dev/null || true)"
+    _rev="+$(git rev-parse --short HEAD)"
+  else
+    _ver=''
+    _rev=''
+  fi
+  if [ -z "${_ver}" ]; then
+    _ver="$(sed -E -n 's|^[[:space:]]*VERSION[[:space:]]*=[[:space:]]*(.*)[[:space:]]*$|\1|p' Makefile | head -n 1)"
+  fi
+  if [ -z "${_ver}" ]; then
+    {
+      echo "error: pkgver() could not retrieve version. Please check."
+      echo "Aborting."
+    } > /dev/stderr
+    return 1
+  fi
+  echo "${_ver}${_rev}"
 }

Resulting in the following corrected pkgver():

pkgver() {
  cd "${srcdir}/gpg-tools"

  if [ -d .git ]; then
    _ver="$(git describe 2>/dev/null || true)"
    _rev="+$(git rev-parse --short HEAD)"
  else
    _ver=''
    _rev=''
  fi
  if [ -z "${_ver}" ]; then
    _ver="$(sed -E -n 's|^[[:space:]]*VERSION[[:space:]]*=[[:space:]]*(.*)[[:space:]]*$|\1|p' Makefile | head -n 1)"
  fi
  if [ -z "${_ver}" ]; then
    {
      echo "error: pkgver() could not retrieve version. Please check."
      echo "Aborting."
    } > /dev/stderr
    return 1
  fi
  echo "${_ver}${_rev}"
}

staaas commented on 2016-03-12 10:35 (UTC)

pkgver() { cd "gpg-tools" git describe | sed 's/^v//;s/-/./g' } `git describe` doesn't work here beacuse there are no tags in the repo.

habarnam commented on 2016-02-11 18:27 (UTC)

There are some mismatches between pkgver() and .SRCINFO ==> Starting pkgver()... fatal: No names found, cannot describe anything. ==> ERROR: pkgver is not allowed to be empty. ==> ERROR: pkgver() generated an invalid version: :: Installing gpg-tools-git package(s)... :: gpg-tools-git package(s) failed to install. Check .SRCINFO for mismatching data with PKGBUILD. :: failed to build gpg-tools-git package(s)